KDE 4.7 PyKDE API Reference

- KDE's Python API

# MapWizard Class Reference

`from PyKDE4.marble import *`

Inherits: QWizard → QDialog → QWidget → QObject
Namespace: Marble

## Detailed Description

## Methods

| __init__ (self, QWidget parent=0)
| accept (self)
| autoFillDetails (self)
| createLevelZero (self, QNetworkReply reply=0)
| createWmsLegend (self, QNetworkReply reply)
| downloadLevelZero (self)
int | nextId (self)
| parseServerCapabilities (self, QNetworkReply reply)
| queryLegendImage (self)
| queryPreviewImage (self)
| queryServerCapabilities (self)
| querySourceImage (self)
| setStaticUrlServers (self, QStringList uris)
| setWmsServers (self, QStringList uris)
QStringList | staticUrlServers (self)
bool | validateCurrentPage (self)
QStringList | wmsServers (self)

## Static Methods

QString | createArchive (QWidget parent, QString mapId)
| deleteArchive (QString mapId)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

accept | ( |  | self ) |

autoFillDetails | ( |  | self ) |

createLevelZero | ( | self, |
|  | QNetworkReply | reply=0
| ) |  |  |

createWmsLegend | ( | self, |
|  | QNetworkReply | reply
| ) |  |  |

downloadLevelZero | ( |  | self ) |

int nextId | ( |  | self ) |

parseServerCapabilities | ( | self, |
|  | QNetworkReply | reply
| ) |  |  |

queryLegendImage | ( |  | self ) |

queryPreviewImage | ( |  | self ) |

queryServerCapabilities | ( |  | self ) |

querySourceImage | ( |  | self ) |

setStaticUrlServers | ( | self, |
|  | QStringList | uris
| ) |  |  |

setWmsServers | ( | self, |
|  | QStringList | uris
| ) |  |  |

QStringList staticUrlServers | ( |  | self ) |

bool validateCurrentPage | ( |  | self ) |

QStringList wmsServers | ( |  | self ) |

## Static Method Documentation

QString createArchive | ( | QWidget | parent,
|  | QString | mapId
| ) |  |  |

deleteArchive | ( | QString | mapId
| ) |  |  |